org.jboss.resteasy.keystone.server

## Class SkeletonKeyApplication

- java.lang.Object
- - org.jboss.resteasy.keystone.server.SkeletonKeyApplication

-     public class SkeletonKeyApplication
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.infinispan.Cache` | `cache`
    `protected X509Certificate` | `certificate`
    `protected Logger` | `logger`
    `protected PrivateKey` | `privateKey`
    `protected ProjectsService` | `projects`
    `protected RolesService` | `roles`
    `protected Set<Object>` | `singletons`
    `static String` | `SKELETON_KEY_INFINISPAN_CACHE_NAME`
    `static String` | `SKELETON_KEY_INFINISPAN_CONFIG_FILE`
    `protected TokenService` | `tokenService`
    `protected UsersService` | `users`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkeletonKeyApplication(Configurable confgurable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.infinispan.Cache` | `findCache()`
    `org.infinispan.Cache` | `getCache()`
    `protected String` | `getConfigProperty(String name)`
    `protected org.infinispan.Cache` | `getDefaultCache()`
    `ProjectsService` | `getProjects()`
    `protected ResteasyConfiguration` | `getResteasyConfiguration()`
    `RolesService` | `getRoles()`
    `Set<Object>` | `getSingletons()`
    `TokenService` | `getTokenService()`
    `UsersService` | `getUsers()`
    `protected org.infinispan.Cache` | `getXmlCache()`
    `protected void` | `initKeyPair()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SKELETON_KEY_INFINISPAN_CONFIG_FILE

          public static final String SKELETON_KEY_INFINISPAN_CONFIG_FILE

      See Also:
        Constant Field Values

    - #### SKELETON_KEY_INFINISPAN_CACHE_NAME

          public static final String SKELETON_KEY_INFINISPAN_CACHE_NAME

      See Also:
        Constant Field Values

    - #### singletons

          protected Set<Object> singletons

    - #### privateKey

          protected PrivateKey privateKey

    - #### certificate

          protected X509Certificate certificate

    - #### roles

          protected RolesService roles

    - #### projects

          protected ProjectsService projects

    - #### users

          protected UsersService users

    - #### tokenService

          protected TokenService tokenService

    - #### cache

          protected org.infinispan.Cache cache

    - #### logger

          protected Logger logger

  - ### Constructor Detail

    - #### SkeletonKeyApplication

          public SkeletonKeyApplication(@Context
                                Configurable confgurable)

  - ### Method Detail

    - #### initKeyPair

          protected void initKeyPair()

    - #### getRoles

          public RolesService getRoles()

    - #### getProjects

          public ProjectsService getProjects()

    - #### getUsers

          public UsersService getUsers()

    - #### getTokenService

          public TokenService getTokenService()

    - #### getSingletons

          public Set<Object> getSingletons()

    - #### getResteasyConfiguration

          protected ResteasyConfiguration getResteasyConfiguration()

    - #### getConfigProperty

          protected String getConfigProperty(String name)

    - #### getCache

          public org.infinispan.Cache getCache()

    - #### findCache

          protected org.infinispan.Cache findCache()

    - #### getDefaultCache

          protected org.infinispan.Cache getDefaultCache()

    - #### getXmlCache

          protected org.infinispan.Cache getXmlCache()

Copyright © 2014. All Rights Reserved.